Bug 612189 - back out change to apache plugin resource key change
back out change to apache plugin resource key change
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Lukas Krejci
Corey Welton
:
Depends On:
Blocks: jon-sprint12-bugs
  Show dependency treegraph
 
Reported: 2010-07-07 10:03 EDT by John Mazzitelli
Modified: 2010-08-12 12:54 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-07-07 10:03:07 EDT
Need to back out the "apache resource key change" (which I think is related to BZ #592038 )

We'll add it back in when we have our next release, so we can incorporate it along with the "resource upgrade" change (see resource-upgrade branch) at the same time.
Comment 1 Lukas Krejci 2010-07-13 11:36:42 EDT
commit f96d9462ee44c169a720f8deb80e4703dd60d0ad
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Jul 13 17:17:50 2010 +0200

    BZ 612189 - reverting the resource keys of apache server and vhost resource types to the format used in the last released version of JON.



How to test:

1) Install latest JON build but don't start it.
2) Replace the version of the apache plugin in $JON_HOME/jbossas/server/default/deploy/rhq.ear.rej/rhq-downoload/rhq-plugins with the version from JON 2.3.1
3) Install the agent on a box with a running apache instance that has SNMP module installed and configured
4) Start the JON server, let the agent register with it.
5) Discover and inventory the apache instance.
6) Wait a bit for the agent to collect some metrics on the server and its vhosts
7) Replace the 2.3.1 apache plugin with the latest plugin and wait for the server to update the metadata
8) On agent prompt do "plugins update"

Expected results:
- no new apache instance in the auto-discovery queue after running discovery on the agent
- no new vhosts under the inventoried instance
- everything with the same availability state as with the old plugin
- metrics still being collected
Comment 2 Lukas Krejci 2010-07-13 11:39:40 EDT
I am re-opening the original bug 536328 that required the resource key change so that we don't forget to revert it back to the new style once resource upgrade (bug 592038) is implemented.
Comment 3 Corey Welton 2010-07-15 17:20:58 EDT
This seems to look good.  I am still seeing metrics and availability as expected, and no regressions, nor any new vhosts, etc.
Comment 4 Corey Welton 2010-08-12 12:54:01 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.